%echo "#!/usr/bin/env perl"
# retrieve and modify (if no argument) well-known file

use HTTP::Tiny;
use JSON qw(from_json to_json);

my $baseUrl = 'https://%%domain_name_eth0/';

my $response = HTTP::Tiny->new->get('http://localhost/.well-known/openid-configuration');

die "Failed!\n" unless $response->{success};

my $json = from_json($response->{content});
%echo "$num_args = $#ARGV + 1;"

if ($num_args == 0) {
    $json->{token_endpoint} = $baseUrl . 'oauth2/token';
    $json->{userinfo_endpoint} = $baseUrl . 'oauth2/userinfo';
    $json->{jwks_uri} = $baseUrl . 'oauth2/jwks';
}
printf to_json($json) . "\n";
